image: registry.git.cccv.de/infra/static-pages/docker-images/bullseye-mkdocs

variables:
  GIT_SUBMODULE_STRATEGY: recursive
  GIT_DEPTH: 1000

before_script:
  - DEBIAN_FRONTEND=noninteractive apt -y install git
  - pip install -r requirements.txt


pages:
  stage: deploy
  script:
    - mkdocs build
  artifacts:
    paths:
    - public
    expire_in: 3 days
  only:
  - main
